Badger::Data::Facet::Class(3pm)

NAME
Badger::Data::Facet::Class - metaprogramming module for data facet classes

SYNOPSIS
    package Badger::Data::Facet::Text::Example;

    use Badger::Data::Facet::Class
        version   => 0.01,
        type      => 'text',        # base data type
        args      => 'foo bar',     # mandatory arguments
        opts      => 'baz bam';     # optional arguments

DESCRIPTION
This module implements a subclass of Badger::Class for creating data validation facets.

METHODS
This module implements the following methods in addition to those inherited from the Badger::Class base class.

  type($type)
This method implements the "type" import hook for specifying the base data type for a validation facet.

  args($args)
This method implements the "args" import hook for specifying the mandatory configuration arguments for a validation fact.

  opts($opts)
This method implements the "opts" import hook for specifying the optional configuration arguments for a validation facet.

AUTHOR
Andy Wardley <http://wardley.org/>

COPYRIGHT
Copyright (C) 2008-2012 Andy Wardley. All Rights Reserved.

This module is free software; you can redistribute it and/or modify it under the same terms as Perl itself.

SEE ALSO
Badger::Base, Badger::Data::Facet.